Bug 990338 - RFE: add mimetype for Matroska
RFE: add mimetype for Matroska
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mailcap (Show other bugs)
19
All Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 22:00 EDT by Cristian Ciupitu
Modified: 2013-10-15 02:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: mailcap-2.1.42-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-15 02:43:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cristian Ciupitu 2013-07-30 22:00:24 EDT
Description of problem:
/etc/mime.types doesn't have Matroska MIME types.

Version-Release number of selected component (if applicable):
mailcap-2.1.41-1.fc19.noarch

How reproducible:
Every time

Steps to Reproduce:
1. grep -i matroska /etc/mime.types 

Actual results:
nothing

Expected results:
Some MIME types.

Additional info:
Quoting from http://matroska.org/technical/specs/notes.html#MIME

There is no IETF endorsed MIME type for Matroska files. But you can use the ones we have defined on our web server :

    .mka : Matroska audio audio/x-matroska
    .mkv : Matroska video video/x-matroska
    .mk3d : Matroska 3D video video/x-matroska-3d
Comment 1 Ville Skyttä 2013-09-08 03:28:26 EDT
Adding private types like these is usually frowned upon, but done upstream anyway.

https://git.fedorahosted.org/cgit/mailcap.git/commit/?id=daf289580724822821a786988ed2209d54a56af4
Comment 2 Fedora Update System 2013-10-05 03:55:54 EDT
mailcap-2.1.42-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mailcap-2.1.42-1.fc20
Comment 3 Fedora Update System 2013-10-06 01:31:13 EDT
Package mailcap-2.1.42-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mailcap-2.1.42-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18417/mailcap-2.1.42-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-15 02:43:58 EDT
mailcap-2.1.42-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.